﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ObjectsDemo.Parts
{
    class FuelTank
    {
        double capacity;
        public double fuel { get; set; }

        public void setCapacity(double capacity)
        {
            this.capacity = capacity;
        }

        public double getCapacity()
        {
            return capacity;
        }
        public override string ToString()
        {
            return "Tank: capacity: " + capacity + ", contains: " + fuel;
        }

        public bool consume(double fuel)
        {
            if (fuel > this.fuel) return false;
            this.fuel -= fuel;
            return true;
        }

        public bool refuel(double fuel)
        {
            double empty = capacity - this.fuel;
            if (empty < fuel)
            {
                return false;
            }
            this.fuel += fuel;
            return true;
        }
    }
}
